using System;
using System.Collections.Generic;

namespace LinqStudy
{
    /// <summary>
    ///  家乡类 相等比较器
    /// </summary>
    public class HometownEqualityComparer : IEqualityComparer<Hometown>
    {
        bool IEqualityComparer<Hometown>.Equals(Hometown x, Hometown y)
        {
            if (x==null || y==null)
            {
                return false;
            }

            return x.Province == y.Province && x.City == y.City;
        }

        int IEqualityComparer<Hometown>.GetHashCode(Hometown obj)
        {
            return (obj.Province+obj.City).GetHashCode();
        }
    }
}
