using System;
using System.Collections.Generic;

namespace LinqStudy
{
    /// <summary>
    /// Person 比较器
    /// </summary>
    public class PersonComparer : IComparer<Person>
    {
        int IComparer<Person>.Compare(Person x, Person y)
        {
            int compareResult = 0;

            if (x == null && y == null)
            {
                compareResult = 0;
            }

            else if (x == null)
            {
                compareResult = 1;
            }
            else if (y == null)
            {
                compareResult = -1;
            }
            else
            {
                if (x.Id == y.Id)
                {
                    compareResult = 0;
                }
                else if (x.Id > y.Id)
                {
                    compareResult = 1;
                }
                else
                {
                    compareResult = -1;
                }
            }

            return compareResult;
        }
    }
}
