using System;
using System.Collections;
using System.Collections.Generic;
using LinqStudy;

namespace LinqStudy
{
    /// <summary>
    /// 家乡 比较器
    /// </summary>
    public class TeacherCompare : IComparer<Teacher>
    {
        int IComparer<Teacher>.Compare(Teacher x, Teacher y)
        {
            int compareResult = 0;
            
            if (x == null && y == null)
            {
                compareResult = 0;
            }

            else if (x == null)
            {
                compareResult = 1;
            }
            else if (y == null)
            {
                compareResult = -1;
            }
            else
            {
                if(x.Id == y.Id)
                {
                    if(x.Name==y.Name)
                    {
                        IComparer<Hometown> homeCompare=  new HometownCompare();
                        compareResult= homeCompare.Compare(x.Hometown, y.Hometown);
                    }
                    else
                    {
                        compareResult = string.Compare(x.Name,y.Name);
                    }
                    
                }
                else
                {
                    if(x.Id>y.Id)
                    {
                        compareResult =1;
                    }
                    else
                    {
                        compareResult = -1;
                    }
                }
            }

            return compareResult;
        }
    }
}
